<idea-plugin version="2">
  <id>com.rthoni.intellij.codefromds</id>
  <name>Code FROM ds</name>
  <version>1.0</version>
  <vendor email="robin@rthoni.com" url="https://www.rthoni.com">Robin Thoni</vendor>

  <description><![CDATA[
      Generate code from data sources
    ]]></description>

  <change-notes><![CDATA[
      First version
    ]]>
  </change-notes>

  <!-- please see http://www.jetbrains.org/intellij/sdk/docs/basics/getting_started/build_number_ranges.html for description -->
  <idea-version since-build="141.0"/>

  <!-- please see http://www.jetbrains.org/intellij/sdk/docs/basics/getting_started/plugin_compatibility.html
       on how to target different products -->
  <depends>com.intellij.modules.lang</depends>
  <depends>com.intellij.database</depends>

  <extensions defaultExtensionNs="com.intellij">
    <applicationService serviceImplementation="com.rthoni.intellij.codefromds.ui.others.NotificationsService"
                        serviceInterface="com.rthoni.intellij.codefromds.ui.others.NotificationsService"/>
    <!-- Add your extensions here -->
  </extensions>

  <actions>
    <!-- Add your actions here -->
    <action id="codefromds-generate" class="com.rthoni.intellij.codefromds.ui.actions.GenerateAction"
            text="Generate code from data source" description="Generate models from an intellij data source">
      <add-to-group group-id="ToolsMenu" anchor="last"/>
      <add-to-group group-id="ProjectViewPopupMenu" anchor="last" />
      <add-to-group group-id="SolutionExplorerPopupMenu" anchor="last" />
      <keyboard-shortcut keymap="$default" first-keystroke="ctrl alt G"/>
    </action>
  </actions>

</idea-plugin>